%define	name	edb
%define	version	1.0.5
%define	release	1.%{cvsrel}.1mdk

%define cvsrel 20040913

%define major 1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} %major -d

Summary: Enlightenment Database Access Library
Name: %{name}
Version: %{version}
Release: %{release}
License: BSD
Group: System/Libraries
URL: http://www.enlightenment.org/
Source: %{name}-%{cvsrel}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
Edb is a simple, clean high-level db access/storage library.

%package -n %libname
Summary: Libraries for the Edb package.
Group: System/Libraries
Provides: %libname = %{version}-%{release}

%description -n %libname
Libraries for Edb.

%package -n %libnamedev
Summary: Enlightenment Database Access Library headers and development libraries.
Group: Development/Other
Requires: %libname = %{version}-%{release}
Provides: %libnamedev = %{version}-%{release}
Provides: libedb-devel

%description -n %libnamedev
Edb development headers and libraries.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %name

%build

./autogen.sh

%configure

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/edb_*
%doc AUTHORS
%doc COPYING
%doc README
%doc src/LICENSE

%files -n %libname
%defattr(-,root,root)
%{_libdir}/lib*.so.*
%_libdir/pkgconfig/*

%files -n %libnamedev
%defattr(-,root,root)
%_libdir/libedb.so
%_libdir/libedb.*a
%{_includedir}/Edb.h
%{_bindir}/edb-config

%changelog
* Mon Sep 13 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.5-1.20040913.1mdk
- 1.0.5 20040913

* Wed Jul 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.3-1.20030724.1mdk
- 20030724

* Tue Jun 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.3-1.20030624.1mdk
- 20030624
- use mklibname

* Tue May 13 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.3-1.20030513.1mdk
- update to 20030513 CVS

* Sun Dec 29 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.3-1mdk
- 1.0.3
- update url
- fix requires/provides

* Fri Aug 23 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.2-3mdk
- fix provides in lib and lib-devel package
- make rpmlint happy about %%post %%postun	

* Wed Jul 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-2mdk
- rebuild

* Tue Mar 13 2001 Geoffrey lee <snailtalk@mandrakesoft.com> 1.0.2-1mdk
- Shamelessly rip out the spec from the Imlib2 ftp.

